ApplicationReferencedObjectImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model.impl

## Class ApplicationReferencedObjectImpl

- java.lang.Object
- - tv.amwa.maj.model.impl.InterchangeObjectImpl
  - - tv.amwa.maj.model.impl.ApplicationObjectImpl
    - - tv.amwa.maj.model.impl.ApplicationReferencedObjectImpl

- All Implemented Interfaces:
    Serializable, Cloneable, MediaEntity, MetadataObject, XMLSerializable, ApplicationObject, ApplicationReferencedObject, InterchangeObject

      @MediaClass(uuid1=218169601,
                  uuid2=257,
                  uuid3=25088,
                  uuid4={6,14,43,52,2,6,1,1},
                  definedName="ApplicationReferencedObject",
                  symbol="ApplicationReferencedObject",
                  description="Representation of any object connected by strong reference to an application plugin object, whether directly or indirectly.")
      public class ApplicationReferencedObjectImpl
      extends ApplicationObjectImpl
      implements ApplicationReferencedObject, Cloneable, Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `ObjectClassPropertyID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationReferencedObjectImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationReferencedObject` | `clone()` Create a cloned copy of this interchange object.
    `ExtensionScheme` | `getApplicationScheme()`
    `AUID` | `getLinkedApplicationPluginInstanceID()` Return the identifier of the application plugin object that (directly or indirectly) strongly references this application metadata referenced object.
    `void` | `setLinkedApplicationPluginInstanceID(ApplicationPluginObject linkedApplicationPluginInstance)` Sets the identifier of the application plugin object that (directly or indirectly) strongly references this application metadata referenced object using the source of the reference.
    `void` | `setLinkedApplicationPluginInstanceID(AUID linkedApplicationPluginInstanceID)` Sets the identifier of the application plugin object that (directly or indirectly) strongly references this application metadata referenced object.

    - ### Methods inherited from class tv.amwa.maj.model.impl.ApplicationObjectImpl

      `appendXMLChildren, clearExtensionProperties, countExtensionProperties, getBaseClass, getExtensionProperty, getExtensionProperty, getExtensionPropertyIDs, getProperties, isExtensionPropertyPresent, isExtensionPropertyPresent, putExtensionProperty, putExtensionProperty, setBaseClass`

    - ### Methods inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getComment, getGeneration, getLinkedGenerationID, getLinkedGenerationIDString, getObjectClass, getPersistentID, getPersistentIndex, hashCode, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setLinkedGenerationIDString, setObjectClass, setPersistentID, setPersistentIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.model.ApplicationObject

      `clearExtensionProperties, countExtensionProperties, getBaseClass, getExtensionProperty, getExtensionProperty, getExtensionPropertyIDs, getProperties, isExtensionPropertyPresent, isExtensionPropertyPresent, putExtensionProperty, putExtensionProperty, setBaseClass`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

    - ### Methods inherited from interface tv.amwa.maj.io.xml.XMLSerializable

      `getComment`

- - ### Constructor Detail

    - #### ApplicationReferencedObjectImpl

          public ApplicationReferencedObjectImpl()

  - ### Method Detail

    - #### getLinkedApplicationPluginInstanceID

          @MediaProperty(uuid1=85985025,
                         uuid2=2816,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,12},
                         definedName="LinkedApplicationPluginInstanceID",
                         typeName="AUID",
                         optional=false,
                         uniqueIdentifier=false,
                         pid=0,
                         symbol="LinkedApplicationPluginInstanceID",
                         description="Identifier of the application plugin object that strongly references this application referenced object.")
          public AUID getLinkedApplicationPluginInstanceID()

      Description copied from interface: `ApplicationReferencedObject`

      Return the identifier of the application plugin object that (directly or indirectly) strongly references this application metadata referenced object.

      Specified by:
        `getLinkedApplicationPluginInstanceID` in interface `ApplicationReferencedObject`
      Returns:
        Identifier of the application plugin object that strongly references this.
      See Also:
        `ApplicationPluginObject.getApplicationPluginInstanceID()`

    - #### setLinkedApplicationPluginInstanceID

          @MediaPropertySetter(value="LinkedApplicationPluginInstanceID")
          public void setLinkedApplicationPluginInstanceID(AUID linkedApplicationPluginInstanceID)
                                                                                                                    throws NullPointerException

      Description copied from interface: `ApplicationReferencedObject`

      Sets the identifier of the application plugin object that (directly or indirectly) strongly references this application metadata referenced object.

      Specified by:
        `setLinkedApplicationPluginInstanceID` in interface `ApplicationReferencedObject`
      Parameters:
        `linkedApplicationPluginInstanceID` - Identifier of the application plugin object that strongly references this.
      Throws:
        `NullPointerException` - Cannot set the linked application plugin instance using a `null` value.
      See Also:
        `ApplicationReferencedObject.setLinkedApplicationPluginInstanceID(ApplicationPluginObject)`, `ApplicationPluginObject.getApplicationPluginInstanceID()`

    - #### setLinkedApplicationPluginInstanceID

          public void setLinkedApplicationPluginInstanceID(ApplicationPluginObject linkedApplicationPluginInstance)
                                                    throws NullPointerException

      Description copied from interface: `ApplicationReferencedObject`

      Sets the identifier of the application plugin object that (directly or indirectly) strongly references this application metadata referenced object using the source of the reference.

      Specified by:
        `setLinkedApplicationPluginInstanceID` in interface `ApplicationReferencedObject`
      Parameters:
        `linkedApplicationPluginInstance` - Application plugin object that strongly references this.
      Throws:
        `NullPointerException` - Cannot set the linked application plugin instance using a `null` value.
      See Also:
        `ApplicationReferencedObject.setLinkedApplicationPluginInstanceID(AUID)`, `ApplicationPluginObject.getApplicationPluginInstanceID()`

    - #### getApplicationScheme

          public ExtensionScheme getApplicationScheme()

      Specified by:
        `getApplicationScheme` in class `ApplicationObjectImpl`

    - #### clone

          public ApplicationReferencedObject clone()

      Description copied from interface: `InterchangeObject`

      Create a cloned copy of this interchange object.

      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `ApplicationObject`
      Specified by:
        `clone` in interface `ApplicationReferencedObject`
      Specified by:
        `clone` in interface `InterchangeObject`
      Overrides:
        `clone` in class `ApplicationObjectImpl`
      Returns:
        Cloned copy of this interchange object.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.